
Foreman - Support #7122

installation problem

08/17/2014 01:54 AM - Wo Chang

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Triaged:  Found in Releases: 1.7.1

Fixed in Releases:    

Description

Dear All,

I am new to Foreman and sorry to ask questions have been asked before.

I am trying to install foreman on CentOS 6.5 following the instructions from 

http://theforeman.org/manuals/1.1/index.html#3.InstallingForeman.

The EPEL was installed using rpm -Uvh http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm.

I am using foreman 1.6: yum -y install http://yum.theforeman.org/releases/1.6/f19/x86_64/foreman-release.rpm

but when issued the: yum -y install foreman-installer, I got many errors, see below.  The errors seen to reflect the EPEL was not

installed.

Can anyone help?

Thanks much in advance!

--Wo

Loaded plugins: fastestmirror, refresh-packagekit, security

Loading mirror speeds from cached hostfile  * base: mirror.rackspace.com  * epel: mirror.symnds.com  * extras:

mirror.rackspace.com  * remi: mirrors.mediatemple.net  * updates: mirror.trouble-free.net

Setting up Install Process

Resolving Dependencies

--> Running transaction check

---> Package foreman.noarch 0:1.6.0-0.1.RC1.fc19 will be installed

--> Processing Dependency: rubygem(will_paginate) < 3.1.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(validates_lengths_from_database) < 0.3.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(scoped_search) < 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(safemode) < 1.3.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(rails) < 3.3.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(ldap_fluff) < 1.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(jquery-ui-rails) < 5.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(gettext_i18n_rails) < 1.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(deep_cloneable) < 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(bootstrap-sass) < 3.0.4 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(apipie-rails) < 0.3.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(ancestry) < 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(will_paginate) >= 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(validates_lengths_from_database) >= 0.2.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(scoped_search) >= 2.7.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(safemode) >= 1.2.1 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(ruby_parser) >= 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(rake) >= 0.8.3 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(rails) >= 3.2.8 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(rabl) >= 0.7.5 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(ldap_fluff) >= 0.3.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(i18n_data) >= 0.2.6 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(gettext_i18n_rails_js) >= 0.0.8 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(gettext_i18n_rails) >= 0.10.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(foreigner) >= 1.4.2 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(fast_gettext) >= 0.8.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch
--> Processing Dependency: rubygem(deep_cloneable) >= 2.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(bootstrap-sass) >= 3.0.3.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(audited-activerecord) >= 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(apipie-rails) >= 0.2.4 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(ancestry) >= 2.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(uuidtools) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(therubyracer) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(rest-client) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(oauth) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(net-ldap) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(minitest) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(json) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(jquery-rails) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(bundler_ext) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: ruby(release) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: facter for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Running transaction check

---> Package facter.x86_64 0:1.6.18-3.el6 will be installed

---> Package foreman.noarch 0:1.6.0-0.1.RC1.fc19 will be installed

--> Processing Dependency: rubygem(will_paginate) < 3.1.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(scoped_search) < 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(rails) < 3.3.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(ancestry) < 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(will_paginate) >= 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(scoped_search) >= 2.7.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(ruby_parser) >= 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(rails) >= 3.2.8 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(i18n_data) >= 0.2.6 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(foreigner) >= 1.4.2 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(audited-activerecord) >= 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(ancestry) >= 2.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(therubyracer) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(oauth) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(jquery-rails) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: ruby(release) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

---> Package rubygem-apipie-rails.noarch 0:0.2.4-1.fc19 will be installed

--> Processing Dependency: ruby(release) for package: rubygem-apipie-rails-0.2.4-1.fc19.noarch

---> Package rubygem-bootstrap-sass.noarch 0:3.0.3.0-1.fc19 will be installed

--> Processing Dependency: rubygem(sass) < 4 for package: rubygem-bootstrap-sass-3.0.3.0-1.fc19.noarch

--> Processing Dependency: rubygem(sass) >= 3.2 for package: rubygem-bootstrap-sass-3.0.3.0-1.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-bootstrap-sass-3.0.3.0-1.fc19.noarch

---> Package rubygem-bundler_ext.noarch 0:0.3.0-6.fc19 will be installed

--> Processing Dependency: rubygem(bundler) for package: rubygem-bundler_ext-0.3.0-6.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-bundler_ext-0.3.0-6.fc19.noarch

---> Package rubygem-deep_cloneable.noarch 0:2.0.0-4.fc19 will be installed

--> Processing Dependency: rubygem-activerecord < 1:5.0.0 for package: rubygem-deep_cloneable-2.0.0-4.fc19.noarch

--> Processing Dependency: rubygem-activerecord >= 1:3.1.0 for package: rubygem-deep_cloneable-2.0.0-4.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-deep_cloneable-2.0.0-4.fc19.noarch

---> Package rubygem-fast_gettext.noarch 0:0.8.0-15.fc19 will be installed

--> Processing Dependency: ruby(release) for package: rubygem-fast_gettext-0.8.0-15.fc19.noarch

---> Package rubygem-gettext_i18n_rails.noarch 0:0.10.0-3.fc19 will be installed

--> Processing Dependency: ruby(release) for package: rubygem-gettext_i18n_rails-0.10.0-3.fc19.noarch

---> Package rubygem-gettext_i18n_rails_js.noarch 0:0.0.8-2.fc19 will be installed

--> Processing Dependency: rubygem(rails) < 3.3.0 for package: rubygem-gettext_i18n_rails_js-0.0.8-2.fc19.noarch

--> Processing Dependency: rubygem(rails) >= 3.2.0 for package: rubygem-gettext_i18n_rails_js-0.0.8-2.fc19.noarch

--> Processing Dependency: rubygem(po_to_json) >= 0.0.7 for package: rubygem-gettext_i18n_rails_js-0.0.8-2.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-gettext_i18n_rails_js-0.0.8-2.fc19.noarch

---> Package rubygem-jquery-ui-rails.noarch 0:4.0.2-7.fc19 will be installed

--> Processing Dependency: rubygem(railties) >= 3.1.0 for package: rubygem-jquery-ui-rails-4.0.2-7.fc19.noarch

--> Processing Dependency: rubygem(jquery-rails) for package: rubygem-jquery-ui-rails-4.0.2-7.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-jquery-ui-rails-4.0.2-7.fc19.noarch

---> Package rubygem-json.x86_64 0:1.4.6-1.el6 will be installed

---> Package rubygem-ldap_fluff.noarch 0:0.3.0-1.fc19 will be installed

--> Processing Dependency: rubygem(activesupport) for package: rubygem-ldap_fluff-0.3.0-1.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-ldap_fluff-0.3.0-1.fc19.noarch

---> Package rubygem-minitest.noarch 0:1.6.0-2.el6 will be installed

---> Package rubygem-net-ldap.noarch 0:0.6.1-2.el6.1 will be installed
---> Package rubygem-rabl.noarch 0:0.9.0-1.fc19 will be installed

--> Processing Dependency: rubygem(multi_json) >= 1.0 for package: rubygem-rabl-0.9.0-1.fc19.noarch

--> Processing Dependency: rubygem(activesupport) >= 2.3.14 for package: rubygem-rabl-0.9.0-1.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-rabl-0.9.0-1.fc19.noarch

---> Package rubygem-rake.noarch 0:0.8.7-2.1.el6 will be installed

---> Package rubygem-rest-client.noarch 0:1.6.1-2.el6 will be installed

--> Processing Dependency: rubygem(mime-types) >= 1.16 for package: rubygem-rest-client-1.6.1-2.el6.noarch

---> Package rubygem-safemode.noarch 0:1.2.1-1.fc19 will be installed

--> Processing Dependency: rubygem(sexp_processor) >= 4.1.2 for package: rubygem-safemode-1.2.1-1.fc19.noarch

--> Processing Dependency: rubygem(ruby_parser) >= 3.0.1 for package: rubygem-safemode-1.2.1-1.fc19.noarch

--> Processing Dependency: rubygem(ruby2ruby) >= 2.0.1 for package: rubygem-safemode-1.2.1-1.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-safemode-1.2.1-1.fc19.noarch

---> Package rubygem-uuidtools.noarch 0:2.1.1-1.el6 will be installed

---> Package rubygem-validates_lengths_from_database.noarch 0:0.2.0-1.fc19 will be installed

--> Processing Dependency: rubygem(activerecord) >= 2.3.2 for package:

rubygem-validates_lengths_from_database-0.2.0-1.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-validates_lengths_from_database-0.2.0-1.fc19.noarch

--> Running transaction check

---> Package foreman.noarch 0:1.6.0-0.1.RC1.fc19 will be installed

--> Processing Dependency: rubygem(will_paginate) < 3.1.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(scoped_search) < 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(rails) < 3.3.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(ancestry) < 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(will_paginate) >= 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(scoped_search) >= 2.7.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(ruby_parser) >= 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(rails) >= 3.2.8 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(i18n_data) >= 0.2.6 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(foreigner) >= 1.4.2 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(audited-activerecord) >= 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(ancestry) >= 2.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(therubyracer) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(oauth) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(jquery-rails) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: ruby(release) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

---> Package rubygem-activesupport.noarch 1:2.3.8-2.el6 will be installed

---> Package rubygem-apipie-rails.noarch 0:0.2.4-1.fc19 will be installed

--> Processing Dependency: ruby(release) for package: rubygem-apipie-rails-0.2.4-1.fc19.noarch

---> Package rubygem-bootstrap-sass.noarch 0:3.0.3.0-1.fc19 will be installed

--> Processing Dependency: rubygem(sass) < 4 for package: rubygem-bootstrap-sass-3.0.3.0-1.fc19.noarch

--> Processing Dependency: rubygem(sass) >= 3.2 for package: rubygem-bootstrap-sass-3.0.3.0-1.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-bootstrap-sass-3.0.3.0-1.fc19.noarch

---> Package rubygem-bundler_ext.noarch 0:0.3.0-6.fc19 will be installed

--> Processing Dependency: rubygem(bundler) for package: rubygem-bundler_ext-0.3.0-6.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-bundler_ext-0.3.0-6.fc19.noarch

---> Package rubygem-deep_cloneable.noarch 0:2.0.0-4.fc19 will be installed

--> Processing Dependency: rubygem-activerecord < 1:5.0.0 for package: rubygem-deep_cloneable-2.0.0-4.fc19.noarch

--> Processing Dependency: rubygem-activerecord >= 1:3.1.0 for package: rubygem-deep_cloneable-2.0.0-4.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-deep_cloneable-2.0.0-4.fc19.noarch

---> Package rubygem-fast_gettext.noarch 0:0.8.0-15.fc19 will be installed

--> Processing Dependency: ruby(release) for package: rubygem-fast_gettext-0.8.0-15.fc19.noarch

---> Package rubygem-gettext_i18n_rails.noarch 0:0.10.0-3.fc19 will be installed

--> Processing Dependency: ruby(release) for package: rubygem-gettext_i18n_rails-0.10.0-3.fc19.noarch

---> Package rubygem-gettext_i18n_rails_js.noarch 0:0.0.8-2.fc19 will be installed

--> Processing Dependency: rubygem(rails) < 3.3.0 for package: rubygem-gettext_i18n_rails_js-0.0.8-2.fc19.noarch

--> Processing Dependency: rubygem(rails) >= 3.2.0 for package: rubygem-gettext_i18n_rails_js-0.0.8-2.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-gettext_i18n_rails_js-0.0.8-2.fc19.noarch

---> Package rubygem-jquery-ui-rails.noarch 0:4.0.2-7.fc19 will be installed

--> Processing Dependency: rubygem(railties) >= 3.1.0 for package: rubygem-jquery-ui-rails-4.0.2-7.fc19.noarch

--> Processing Dependency: rubygem(jquery-rails) for package: rubygem-jquery-ui-rails-4.0.2-7.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-jquery-ui-rails-4.0.2-7.fc19.noarch

---> Package rubygem-ldap_fluff.noarch 0:0.3.0-1.fc19 will be installed

--> Processing Dependency: ruby(release) for package: rubygem-ldap_fluff-0.3.0-1.fc19.noarch

---> Package rubygem-mime-types.noarch 0:1.16-3.el6 will be installed

---> Package rubygem-po_to_json.noarch 0:0.0.7-2.fc19 will be installed

--> Processing Dependency: ruby(release) for package: rubygem-po_to_json-0.0.7-2.fc19.noarch

---> Package rubygem-rabl.noarch 0:0.9.0-1.fc19 will be installed
--> Processing Dependency: rubygem(multi_json) >= 1.0 for package: rubygem-rabl-0.9.0-1.fc19.noarch

--> Processing Dependency: rubygem(activesupport) >= 2.3.14 for package: rubygem-rabl-0.9.0-1.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-rabl-0.9.0-1.fc19.noarch

---> Package rubygem-ruby2ruby.noarch 0:2.0.1-7.fc19 will be installed

--> Processing Dependency: rubygem(sexp_processor) >= 4.0 for package: rubygem-ruby2ruby-2.0.1-7.fc19.noarch

--> Processing Dependency: rubygem(ruby_parser) for package: rubygem-ruby2ruby-2.0.1-7.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-ruby2ruby-2.0.1-7.fc19.noarch

---> Package rubygem-safemode.noarch 0:1.2.1-1.fc19 will be installed

--> Processing Dependency: rubygem(sexp_processor) >= 4.1.2 for package: rubygem-safemode-1.2.1-1.fc19.noarch

--> Processing Dependency: rubygem(ruby_parser) >= 3.0.1 for package: rubygem-safemode-1.2.1-1.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-safemode-1.2.1-1.fc19.noarch

---> Package rubygem-validates_lengths_from_database.noarch 0:0.2.0-1.fc19 will be installed

--> Processing Dependency: rubygem(activerecord) >= 2.3.2 for package:

rubygem-validates_lengths_from_database-0.2.0-1.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-validates_lengths_from_database-0.2.0-1.fc19.noarch

--> Running transaction check

---> Package foreman.noarch 0:1.6.0-0.1.RC1.fc19 will be installed

--> Processing Dependency: rubygem(will_paginate) < 3.1.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(scoped_search) < 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(rails) < 3.3.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(ancestry) < 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(will_paginate) >= 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(scoped_search) >= 2.7.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(ruby_parser) >= 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(rails) >= 3.2.8 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(i18n_data) >= 0.2.6 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(foreigner) >= 1.4.2 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(audited-activerecord) >= 3.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(ancestry) >= 2.0.0 for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(therubyracer) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(oauth) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: rubygem(jquery-rails) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

--> Processing Dependency: ruby(release) for package: foreman-1.6.0-0.1.RC1.fc19.noarch

---> Package rubygem-apipie-rails.noarch 0:0.2.4-1.fc19 will be installed

--> Processing Dependency: ruby(release) for package: rubygem-apipie-rails-0.2.4-1.fc19.noarch

---> Package rubygem-bootstrap-sass.noarch 0:3.0.3.0-1.fc19 will be installed

--> Processing Dependency: rubygem(sass) < 4 for package: rubygem-bootstrap-sass-3.0.3.0-1.fc19.noarch

--> Processing Dependency: rubygem(sass) >= 3.2 for package: rubygem-bootstrap-sass-3.0.3.0-1.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-bootstrap-sass-3.0.3.0-1.fc19.noarch

---> Package rubygem-bundler_ext.noarch 0:0.3.0-6.fc19 will be installed

--> Processing Dependency: rubygem(bundler) for package: rubygem-bundler_ext-0.3.0-6.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-bundler_ext-0.3.0-6.fc19.noarch

---> Package rubygem-deep_cloneable.noarch 0:2.0.0-4.fc19 will be installed

--> Processing Dependency: rubygem-activerecord < 1:5.0.0 for package: rubygem-deep_cloneable-2.0.0-4.fc19.noarch

--> Processing Dependency: rubygem-activerecord >= 1:3.1.0 for package: rubygem-deep_cloneable-2.0.0-4.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-deep_cloneable-2.0.0-4.fc19.noarch

---> Package rubygem-fast_gettext.noarch 0:0.8.0-15.fc19 will be installed

--> Processing Dependency: ruby(release) for package: rubygem-fast_gettext-0.8.0-15.fc19.noarch

---> Package rubygem-gettext_i18n_rails.noarch 0:0.10.0-3.fc19 will be installed

--> Processing Dependency: ruby(release) for package: rubygem-gettext_i18n_rails-0.10.0-3.fc19.noarch

---> Package rubygem-gettext_i18n_rails_js.noarch 0:0.0.8-2.fc19 will be installed

--> Processing Dependency: rubygem(rails) < 3.3.0 for package: rubygem-gettext_i18n_rails_js-0.0.8-2.fc19.noarch

--> Processing Dependency: rubygem(rails) >= 3.2.0 for package: rubygem-gettext_i18n_rails_js-0.0.8-2.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-gettext_i18n_rails_js-0.0.8-2.fc19.noarch

---> Package rubygem-jquery-ui-rails.noarch 0:4.0.2-7.fc19 will be installed

--> Processing Dependency: rubygem(railties) >= 3.1.0 for package: rubygem-jquery-ui-rails-4.0.2-7.fc19.noarch

--> Processing Dependency: rubygem(jquery-rails) for package: rubygem-jquery-ui-rails-4.0.2-7.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-jquery-ui-rails-4.0.2-7.fc19.noarch

---> Package rubygem-ldap_fluff.noarch 0:0.3.0-1.fc19 will be installed

--> Processing Dependency: ruby(release) for package: rubygem-ldap_fluff-0.3.0-1.fc19.noarch

---> Package rubygem-po_to_json.noarch 0:0.0.7-2.fc19 will be installed

--> Processing Dependency: ruby(release) for package: rubygem-po_to_json-0.0.7-2.fc19.noarch

---> Package rubygem-rabl.noarch 0:0.9.0-1.fc19 will be installed

--> Processing Dependency: rubygem(multi_json) >= 1.0 for package: rubygem-rabl-0.9.0-1.fc19.noarch

--> Processing Dependency: rubygem(activesupport) >= 2.3.14 for package: rubygem-rabl-0.9.0-1.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-rabl-0.9.0-1.fc19.noarch

---> Package rubygem-ruby2ruby.noarch 0:2.0.1-7.fc19 will be installed
--> Processing Dependency: rubygem(sexp_processor) >= 4.0 for package: rubygem-ruby2ruby-2.0.1-7.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-ruby2ruby-2.0.1-7.fc19.noarch

---> Package rubygem-ruby_parser.noarch 0:2.0.4-3.el6 will be installed

---> Package rubygem-safemode.noarch 0:1.2.1-1.fc19 will be installed

--> Processing Dependency: rubygem(sexp_processor) >= 4.1.2 for package: rubygem-safemode-1.2.1-1.fc19.noarch

--> Processing Dependency: rubygem(ruby_parser) >= 3.0.1 for package: rubygem-safemode-1.2.1-1.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-safemode-1.2.1-1.fc19.noarch

---> Package rubygem-validates_lengths_from_database.noarch 0:0.2.0-1.fc19 will be installed

--> Processing Dependency: rubygem(activerecord) >= 2.3.2 for package:

rubygem-validates_lengths_from_database-0.2.0-1.fc19.noarch

--> Processing Dependency: ruby(release) for package: rubygem-validates_lengths_from_database-0.2.0-1.fc19.noarch

--> Finished Dependency Resolution

You could try using --skip-broken to work around the problem

You could try running: rpm -Va --nofiles --nodigest

History

#1 - 08/17/2014 01:59 AM - Wo Chang

BTW: I have installed the ruby and rubygems:

ruby 2.1.2p95 (2014-05-08 revision 45877) [x86_64-linux]

Package rubygems-1.3.7-5.el6.noarch already installed and latest version

--Wo

#2 - 08/17/2014 04:08 PM - Ohad Levy

- Tracker changed from Bug to Support

- Status changed from New to Feedback

- Priority changed from Urgent to Normal

It looks like you are using fedora 19 repo with 6.5... Please fix your repos and try again.

#3 - 08/21/2014 06:02 AM - Wo Chang

Thanks for the pointer and it is fixed and worked!

--Wo

#4 - 08/21/2014 06:08 AM - Dominic Cleal

- Status changed from Feedback to Resolved

#5 - 01/21/2015 09:14 AM - Shlomi Zadok

- Status changed from Resolved to Feedback

Happens to me also on fedora 20 (clean) machine.

After installing a clean fedora 20, installed foreman-release and tried to install foreman-assets - got the same error.

Pasted here: http://fpaste.org/172483/84953914/

#6 - 01/21/2015 09:33 AM - Dominic Cleal

Shlomi Zadok wrote:

Happens to me also on fedora 20 (clean) machine.

After installing a clean fedora 20, installed foreman-release and tried to install foreman-assets - got the same error.

Pasted here: http://fpaste.org/172483/84953914/

 Fedora 20 isn't a supported OS for package installations, only Fedora 19.  (See http://theforeman.org/manuals/1.7/quickstart_guide.html)

#7 - 01/21/2015 09:40 AM - Dominic Cleal

- Status changed from Feedback to Resolved
